Login
Newsletter
Werbung

Sicherheit: Pufferüberlauf in soundtouch
Aktuelle Meldungen Distributionen
Name: Pufferüberlauf in soundtouch
ID: SUSE-SU-2018:3070-1
Distribution: SUSE
Plattformen: SUSE Linux Enterprise Desktop 12-SP3, SUSE Linux Enterprise Server 12-SP3, SUSE Linux Enterprise Workstation Extension 12-SP3, SUSE Linux Enterprise Software Development Kit 12-SP3
Datum: Mo, 8. Oktober 2018, 16:40
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-1000223
Applikationen: SoundTouch

Originalnachricht

   SUSE Security Update: Security update for soundtouch
______________________________________________________________________________

Announcement ID: SUSE-SU-2018:3070-1
Rating: moderate
References: #1103676
Cross-References: CVE-2018-1000223
Affected Products:
SUSE Linux Enterprise Workstation Extension 12-SP3
SUSE Linux Enterprise Software Development Kit 12-SP3
SUSE Linux Enterprise Server 12-SP3
SUSE Linux Enterprise Desktop 12-SP3
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update for soundtouch fixes the following security issue:

- CVE-2018-1000223: Prevent buffer overflow in
WavInFile::readHeaderBlock() that could have resulted in arbitrary code
execution when opening maliocius file in soundstretch utility
(bsc#1103676)


Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation
methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Workstation Extension 12-SP3:

zypper in -t patch SUSE-SLE-WE-12-SP3-2018-2172=1

- SUSE Linux Enterprise Software Development Kit 12-SP3:

zypper in -t patch SUSE-SLE-SDK-12-SP3-2018-2172=1

- SUSE Linux Enterprise Server 12-SP3:

zypper in -t patch SUSE-SLE-SERVER-12-SP3-2018-2172=1

- SUSE Linux Enterprise Desktop 12-SP3:

zypper in -t patch SUSE-SLE-DESKTOP-12-SP3-2018-2172=1



Package List:

- SUSE Linux Enterprise Workstation Extension 12-SP3 (x86_64):

libSoundTouch0-32bit-1.7.1-5.3.1
libSoundTouch0-debuginfo-32bit-1.7.1-5.3.1
soundtouch-1.7.1-5.3.1
soundtouch-debuginfo-1.7.1-5.3.1
soundtouch-debugsource-1.7.1-5.3.1

- SUSE Linux Enterprise Software Development Kit 12-SP3 (aarch64 ppc64le
s390x x86_64):

soundtouch-1.7.1-5.3.1
soundtouch-debuginfo-1.7.1-5.3.1
soundtouch-debugsource-1.7.1-5.3.1
soundtouch-devel-1.7.1-5.3.1

- SUSE Linux Enterprise Server 12-SP3 (aarch64 ppc64le s390x x86_64):

libSoundTouch0-1.7.1-5.3.1
libSoundTouch0-debuginfo-1.7.1-5.3.1
soundtouch-debuginfo-1.7.1-5.3.1
soundtouch-debugsource-1.7.1-5.3.1

- SUSE Linux Enterprise Desktop 12-SP3 (x86_64):

libSoundTouch0-1.7.1-5.3.1
libSoundTouch0-32bit-1.7.1-5.3.1
libSoundTouch0-debuginfo-1.7.1-5.3.1
libSoundTouch0-debuginfo-32bit-1.7.1-5.3.1
soundtouch-1.7.1-5.3.1
soundtouch-debuginfo-1.7.1-5.3.1
soundtouch-debugsource-1.7.1-5.3.1


References:

https://www.suse.com/security/cve/CVE-2018-1000223.html
https://bugzilla.suse.com/1103676

_______________________________________________
sle-security-updates mailing list
sle-security-updates@lists.suse.com
http://lists.suse.com/mailman/listinfo/sle-security-updates
Pro-Linux
Unterstützer werden
Neue Nachrichten
Werbung